//
//  MyDataSource.h
//  Tables

#import <Foundation/Foundation.h>

@interface MyDataSource : NSObject <NSTableViewDataSource> {
    NSMutableArray *items;
}

- (void)addItem:(id)item;
- (void)removeItemAt:(int)index;

- (id)getItemAtColumn:(NSInteger)col
                  row:(NSInteger)row;

- (id)tableView:(NSTableView *)tableView 
objectValueForTableColumn:(NSTableColumn *)tableColumn
            row:(int)row;

- (void)tableView:(NSTableView *)tableView
   setObjectValue:(id)object
   forTableColumn:(NSTableColumn *)tableColumn
              row:(int)row;

@end
