//
//  AppDelegate.m
//  Tables

#import "AppDelegate.h"

@implementation AppDelegate

//@synthesize myTable = _myTable;
@synthesize window = _window;
//@synthesize input;

- (void)dealloc
{
    [myTable release];
    [myData release];
    [super dealloc];
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
    [myTable setBackgroundColor:[NSColor grayColor]];
    
    myData = [[MyDataSource alloc] init];
    [myTable setDataSource:myData];
    [myTable setDelegate:self];
    selectedRow = -1;
}

// methods

- (IBAction)addItem:(id)sender {
    NSLog(@"Adding %@", [input stringValue]);
    [myData addItem:[input stringValue]];
    [myTable reloadData];
}

- (IBAction)removeItem:(id)sender {
    if (selectedRow > -1) {
        NSLog(@"Removing %@", [myData getItemAtColumn:0 row:selectedRow]);
        [myData removeItemAt:(int)selectedRow];
        [myTable reloadData];
    }
}


- (void)tableViewSelectionDidChange:(NSNotification *)notification {
    selectedRow = [myTable selectedRow];
    NSLog(@"Selected row is %ld", selectedRow);
}

@end
